<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\CRM\CityController;
use App\Http\Controllers\CRM\CountryCodeController;
use App\Http\Controllers\CRM\NationalityController;
use App\Http\Controllers\CRM\PassportCityController;

Route::get('/cities', [CityController::class, 'search']);
Route::get('/cities/{city}', [CityController::class, 'show']);

Route::get('/passport-city-search', [PassportCityController::class, 'search'])->name('passport.city.search');
Route::get('/passport-city-show/{city}', [PassportCityController::class, 'show'])->name('passport.city.show');

Route::get('/countrycode-search', [CountryCodeController::class, 'search'])->name('countrycode.search');
Route::get('/countrycode-show/{country}', [CountryCodeController::class, 'show'])->name('countrycode.show');

Route::get('/nationality-search', [NationalityController::class, 'search'])->name('nationality.search');
Route::get('/nationality-show/{country}', [NationalityController::class, 'show'])->name('nationality.show');
